Bug 1271475 - [zh_CN] zh_CN not added to Locale UI.
[zh_CN] zh_CN not added to Locale UI.
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Internationalization (Show other bugs)
5.5.0
x86_64 Linux
urgent Severity high
: GA
: 5.5.0
Assigned To: Milan Zazrivec
Jan Krocil
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 02:31 EDT by Lijun Li
Modified: 2015-12-08 08:38 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:38:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
zh_CN not added to Locale UI (69.30 KB, image/png)
2015-10-14 02:38 EDT, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2015-10-14 02:31:08 EDT
Description of problem:
zh_CN not added to Locale UI.

Version-Release number of selected component (if applicable):
5.5.0.5-beta1.1.20151007163855_ed40d96 

How reproducible:
100%

Steps to Reproduce:
1. Login CFME.
2. Click Configure -> My Settings-> Visual.
3. Click on Locale list under Display Settings.

Actual results:
zh_CN not added to Locale UI.

Expected results:
It should be added to the Locale list so that we can support/test for Simplified Chinese.

Additional info:
Please see the attached screen-shot.
Comment 2 Lijun Li 2015-10-14 02:38 EDT
Created attachment 1082709 [details]
zh_CN not added to Locale UI
Comment 3 Milan Zazrivec 2015-10-14 04:13:50 EDT
https://github.com/ManageIQ/manageiq/pull/4834
Comment 4 CFME Bot 2015-10-14 04:35:56 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a2d12e79a4c1132d19bfad7042813a3f60b82359

commit a2d12e79a4c1132d19bfad7042813a3f60b82359
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Tue Oct 13 17:25:14 2015 +0200
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Wed Oct 14 10:11:16 2015 +0200

    Add translation catalog for simplified chinese
    
    The catalog is incomplete at this point, it's being added
    for testing purposes.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1271475

 config/locales/zh_CN.yml         |     3 +
 config/locales/zh_CN/manageiq.po | 14895 +++++++++++++++++++++++++++++++++++++
 2 files changed, 14898 insertions(+)
 create mode 100644 config/locales/zh_CN.yml
 create mode 100644 config/locales/zh_CN/manageiq.po
Comment 6 CFME Bot 2015-10-26 14:31:26 EDT
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=06389268443df3006ceb05068e1e14656e57226a

commit 06389268443df3006ceb05068e1e14656e57226a
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Mon Oct 19 11:10:10 2015 +0200
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Wed Oct 21 13:58:22 2015 +0200

    Add simplified Chinese to list of supported locales
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1271475

 manageiq/config/locales/zh_CN_productization.yml | 7 +++++++
 manageiq/config/supported_locales.yml            | 1 +
 2 files changed, 8 insertions(+)
 create mode 100644 manageiq/config/locales/zh_CN_productization.yml
Comment 7 CFME Bot 2015-10-26 14:31:32 EDT
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=485ebf022e0726ca89beb695610567734ed18d65

commit 485ebf022e0726ca89beb695610567734ed18d65
Merge: 425aba5 0638926
Author:     Oleg Barenboim <obarenbo@redhat.com>
AuthorDate: Mon Oct 26 14:22:35 2015 -0400
Commit:     Oleg Barenboim <obarenbo@redhat.com>
CommitDate: Mon Oct 26 14:22:35 2015 -0400

    Merge branch 'add_simplified_chinese_into_supported_locales' into 'master'
    
    Add simplified Chinese to list of supported locales
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1271475
    
    See merge request !109

 manageiq/config/locales/zh_CN_productization.yml | 7 +++++++
 manageiq/config/supported_locales.yml            | 1 +
 2 files changed, 8 insertions(+)
Comment 10 errata-xmlrpc 2015-12-08 08:38:17 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.